aboutsummaryrefslogtreecommitdiffstats
path: root/print/dvips/pkg-deinstall
diff options
context:
space:
mode:
authorjmz <jmz@FreeBSD.org>1995-04-23 00:51:49 +0800
committerjmz <jmz@FreeBSD.org>1995-04-23 00:51:49 +0800
commit389e6fd9646f293dbf78f1712b9a71ecdf710a86 (patch)
tree55d81bd8402ca6ae895ad650b07dd23046d8303f /print/dvips/pkg-deinstall
parentcb8f8f49c01182a89ee61b535bedb009d3547257 (diff)
downloadfreebsd-ports-gnome-389e6fd9646f293dbf78f1712b9a71ecdf710a86.tar.gz
freebsd-ports-gnome-389e6fd9646f293dbf78f1712b9a71ecdf710a86.tar.zst
freebsd-ports-gnome-389e6fd9646f293dbf78f1712b9a71ecdf710a86.zip
Warn and request confirmation for installing/removing the package. One file
may also be used by xdvi; the package is build with some defaults, which may be not wanted by the user.
Diffstat (limited to 'print/dvips/pkg-deinstall')
-rw-r--r--print/dvips/pkg-deinstall21
1 files changed, 21 insertions, 0 deletions
diff --git a/print/dvips/pkg-deinstall b/print/dvips/pkg-deinstall
new file mode 100644
index 000000000000..290b365ea873
--- /dev/null
+++ b/print/dvips/pkg-deinstall
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+prefix=/usr/local
+
+cat << END
+
+Installing dvips will remove $prefix/MakeTeXPK. This file may be used by
+xdvi or other programs. If this is the case, you must make a backup of
+this file now.
+
+END
+
+echo -n "do you want to deinstall the package ? [y] "
+read answ; if [ "$answ" = "" ]; then answ=y; fi
+case $answ in
+ y*|Y*) break;;
+ *) exit 1;;
+esac
+
+exit 0
+